/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

(function() {
	var pluginName = 'lfrpopup';

	CKEDITOR.plugins.add(pluginName, {
		init(editor) {
			AUI().use('querystring-parse', A => {
				editor.popup = function(url, width, height, options) {
					var params = A.QueryString.parse(url.split('?')[1]);

					if (params.p_p_id) {
						url = url.replace(
							'CKEditorFuncNum=',
							'_' + params.p_p_id + '_CKEditorFuncNum='
						);
					}

					options = A.QueryString.parse(options);

					Liferay.Util.openWindow({
						dialog: {
							zIndex: CKEDITOR.getNextZIndex()
						},
						height,
						stack: false,
						title: options.title || '',
						uri: url,
						width
					});
				};
			});
		}
	});
})();
